/*
    DEMO STYLE
*/

@import "https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700";

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

.sidebarColor{
    color: #13274C;
    margin-top: 10px;
}

i,
span {
    display: inline-block;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

.wrapper {
    display: flex;
    align-items: flex-start;
    min-height: 100vh;
}

#sidebar a,
#sidebar  a:hover,
#sidebar  a:focus {
    text-decoration: none;
}

.sidebar-list {
    max-height: none; 
    overflow-y: visible;
}

.main-sidebar-list {
    flex: 1;
    overflow-y: auto;
    padding: 0 1rem 1rem;
    margin: 0;
    list-style: none;

}

#sidebar {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    height: 100vh;
    overflow-y: hidden;
    min-width: 14%;
    max-width: 14%;
    background: #13274C;
    transition: all 0.3s;
}

#sidebar.active {
    min-width: 5%;
    max-width: 5%;
    text-align: center;
}

#sidebar.active .sidebar-header h3,
#sidebar.active .CTAs {
    display: none;
}

#sidebar.active .sidebar-header strong {
    display: block;
}

#sidebar ul li a {
    text-align: left;
    color: #9eb4dd;
    padding: 10px;
    display: block;
    font-style: normal;
    font-size: 12px;
    font-weight: bolder;
}

#sidebar .sidebar-header {
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 13px;
    padding-bottom: 9px;
    background: #f5f7f7;
}

#sidebar .sidebar-header strong {
    display: none;
    font-size: 1.8em;
}

#sidebar ul.components {
    padding-left: 5%;
    padding-right: 2%;
}


/* Replace the ScrollingSidebar functionality */
.sidebar-content {
    display: flex;
    flex-direction: column;
    flex: 1;
    overflow-y: auto;
    transition: all 0.3s;
    background: #13274c;
  }  
  
  #sidebar.active .sidebar-content {
    width: 100%;
  }
  
  

#sidebar .last-item{
    border-bottom-left-radius: 25px !important;
    border-bottom-right-radius: 25px !important;;
}

#sidebar ul li a i {
    margin-right: 10px;
}

#sidebar ul li.active>a[aria-expanded="true"] {
    color: #13274C;
    background: #fff; 
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle-sidebar::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

/* Highlight only the hovered item */
ul ul a:hover {
    background: #FFFFFF;
    color: #13274C;
    font-weight: bold;
}

ul li.active > a {
    background: #FFF;
    color: #13274c;
    font-weight: bold;
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

.icon-spacing:not(.no-margin) {
    margin-right: 12px;
}

/* styling for sidebar on hover or opening the items */
#sidebar ul li a:hover,
#sidebar ul li a:active { /*hopefully this pseudoclass resolves black text*/
    font-style: normal;
    color: #13274C;
    background: #FFFF;
    border-radius: 25px;
    font-weight: bold;
}

#sidebar.active .sidebar-text{
    display: none;
}

#sidebar.active ul li a {
    padding: 20px 12%;
    font-size: 0.85em;
}

#sidebar.active ul li a i {
    margin-right: 0;
    display: block;
    font-size: 1.8em;
    margin-bottom: 5px;
}

#sidebar.active ul ul a {
    padding: 10px !important;
}

#sidebar.active .dropdown-toggle-sidebar::after {
    top: auto;
    bottom: 18px;
    left: 25px;
    right: 50%;
    -webkit-transform: translateX(50%);
    -ms-transform: translateX(50%);
    transform: translateX(50%);
}

/* Ensures that the active dropdown item stays styled correctly */
#sidebar ul li.active > a {
    background: #FFFFFF !important;
    color: #13274C !important;
}

/* Ensures hovered items inside the dropdown are styled correctly */
#sidebar ul ul li a:hover {
    background: #FFFFFF !important;
    color: #13274C !important;
}

/* Optional: Adjust dropdown toggle background color when expanded */
#sidebar ul li .dropdown-toggle-icon[aria-expanded="true"] {
    background: #FFFFFF !important;
    color: #13274C !important;
}

.blue-dot-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
}

.blue-dot {
    max-width: 90px; 
    height: auto;
}


/* Ensure the list takes up available space but allows the spacer to be at the bottom */
#sidebar ul.components {
    flex: 1;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 87%;
    padding: 20px;
    min-height: 100vh;
    transition: all 0.3s;
    margin-left: 14%;
}
#content.active {
    width: 94%;
}

#sidebarCollapse {
    width: 40px;
    height: 40px;
    cursor: pointer;
    background: rgba(0,0,0,0.0);
    border-width: 0px;
}

#sidebarCollapse span {
    width: 80%;
    height: 2px;
    margin: 0 auto;
    display: block;
    background: #555;
    transition: all 0.8s cubic-bezier(0.810, -0.330, 0.345, 1.375);
    transition-delay: 0.2s;
}

#sidebarCollapse span:first-of-type {
    transform: rotate(45deg) translate(2px, 2px);
}
#sidebarCollapse span:nth-of-type(2) {
    opacity: 0;
}
#sidebarCollapse span:last-of-type {
    transform: rotate(-45deg) translate(1px, -1px);
}


#sidebarCollapse.active span {
    transform: none;
    opacity: 1;
    margin: 5px auto;
}


/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #content {
        width: 100% !important;
        margin-left: 0;
    }
    #content.active {
        margin-left: 30vh;
    }

    #content-wrap{
        width: 90%;
        position: absolute;
    } 

  /* Enable scrolling for screen widths smaller than 1920px */
  @media (max-width: 1919px) {
    .sidebar-content {
      overflow-y: auto;
      font-size: 18px;
    }
  }

    .main-sidebar-list{
        max-height: 95vh !important;
        overflow-y: scroll !important;
    }

    #sidebar {
        min-width: 80px;
        max-width: 80px;
        text-align: center;
        margin-left: -80px !important;
    }
    .dropdown-toggle-sidebar::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }
    #sidebar.active {
        margin-left: 0 !important;
        min-width: 30vh;
    }

    #sidebar ul li a i{
        font-size: 1.2em !important;
    }

    #sidebar ul li a {
        display: flex;
        align-items: center;
        justify-content: flex start;
        text-align: left;
        padding: 10px 5%;
        font-size: 14px;
    }

    .header-image {
        width:45% !important;
    }

    .sidebar-text{
        display: inline-block !important;
        padding-left: 8px;
    }

    .wrapper{
        max-width: 100vh;
        overflow-x: hidden;
    }
    .col-md-3{
        margin-bottom: 5px;
    }
    .col-md-4{
        margin-bottom: 5px;
    }
    .col-md-6{
        margin-bottom: 5px;
    }
    .col-md-9{
        margin-bottom: 5px;
    }
    .col-md-12{
        margin-bottom: 5px;
    }

    .modal-body{
        overflow-x: auto;
    }
}

@media (min-width: 1376px) and (min-height: 709px) {
    #sidebar ul li a {
      font-size: 16px; 
    }
  }

  /* Phones, phablets, and tablets in portrait */
@media (min-width: 769px) and (max-width: 1100px) {
    #content {
        width: 100% !important;
        margin-left: 0 !important;
        padding-left: 20px;
        padding-right: 20px;
    }

    .wrapper {
        padding-left: 0 !important;
    }

}
